uk.ac.starlink.util

## Class BeanConfig.Setting

- java.lang.Object
- - uk.ac.starlink.util.BeanConfig.Setting

- Enclosing class:
    BeanConfig

      public static class BeanConfig.Setting
      extends java.lang.Object

  Represents an object configuration operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Setting(java.lang.String propName, java.lang.String propValue)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMutatorName()` Returns the name of the instance mutator method corresponding to this setting's property.
    `java.lang.String` | `getPropertyName()` Returns the property name.
    `java.lang.String` | `getPropertyValue()` Returns the text representation of the property value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Setting

          public Setting(java.lang.String propName,
                         java.lang.String propValue)

      Constructor.
      Parameters:
        `propName` - property name
        `propValue` - property value text representation

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Returns the property name.
      Returns:
        property name

    - #### getPropertyValue

          public java.lang.String getPropertyValue()

      Returns the text representation of the property value.
      Returns:
        property value text representation

    - #### getMutatorName

          public java.lang.String getMutatorName()

      Returns the name of the instance mutator method corresponding to this setting's property.
      Returns:
        set* method name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`